agents
Put Alert Preferences
PUT
/
api
/
v1
/
agents
/
{agent_id}
/
alert-preferences
Put Alert Preferences
curl --request PUT \
--url https://api.seaotter.dev/api/v1/agents/{agent_id}/alert-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_enabled": true,
"webhook_url": "<string>",
"crash_loop": true,
"pvc_high": true,
"oom": true,
"unreachable": true,
"unreachable_minutes": 60
}
'import requests
url = "https://api.seaotter.dev/api/v1/agents/{agent_id}/alert-preferences"
payload = {
"email_enabled": True,
"webhook_url": "<string>",
"crash_loop": True,
"pvc_high": True,
"oom": True,
"unreachable": True,
"unreachable_minutes": 60
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email_enabled: true,
webhook_url: '<string>',
crash_loop: true,
pvc_high: true,
oom: true,
unreachable: true,
unreachable_minutes: 60
})
};
fetch('https://api.seaotter.dev/api/v1/agents/{agent_id}/alert-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email_enabled": false,
"webhook_url": "<string>",
"crash_loop": false,
"pvc_high": false,
"oom": false,
"unreachable": false,
"unreachable_minutes": 10
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT for the web app, or a control-plane API key (so_…) from POST /api/v1/api-keys for programmatic / docs try-it use.
Path Parameters
Body
application/json
⌘I
Put Alert Preferences

